@font-face {
  font-display: swap;
  font-family: 'TiemposFine';
  font-style: normal;
  font-weight: 500;
  src: url('https://jasonwhiteley.com/wp-content/themes/jasonwhiteley/assets/fonts/tiempos-fine-medium.woff2') format('woff2');
}
@font-face {
  font-display: swap;
  font-family: 'TiemposFine';
  font-style: italic;
  font-weight: 500;
  src: url('https://jasonwhiteley.com/wp-content/themes/jasonwhiteley/assets/fonts/tiempos-fine-medium-italic.woff2') format('woff2');
}
@font-face {
  font-display: swap;
  font-family: 'TiemposFine';
  font-style: normal;
  font-weight: 600;
  src: url('https://jasonwhiteley.com/wp-content/themes/jasonwhiteley/assets/fonts/tiempos-fine-semibold.woff2') format('woff2');
}
@font-face {
  font-display: swap;
  font-family: 'TiemposFine';
  font-style: italic;
  font-weight: 600;
  src: url('https://jasonwhiteley.com/wp-content/themes/jasonwhiteley/assets/fonts/tiempos-fine-semibold-italic.woff2') format('woff2');
}


/*
VARIABLES
*/
:root {
  --gap-container: 30px;
  --jw-menuitem-height: 36px;

  --jw-color-black: #000;
  --jw-color-white: #fff;
  --jw-color-accent: #9df7fd;
  --jw-color-dummy: #f5f5f5;
}



details.project {
  scroll-margin-top: 0.4rem;
}

.work_images.has_slides > .swiper {
  aspect-ratio: 3 / 2;
}

.work_images.has_slides .swiper-wrapper,
.work_images.has_slides .swiper-slide {
  height: 100%;
}

.work_images.has_slides figure {
  position: relative;
  width: 100%;
  height: 100%;
  aspect-ratio: auto !important;
  margin: 0 auto;
  background-color: var(--jw-color-dummy);
}

.work_images.has_slides figure img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.work_images.has_slides figcaption {
  position: absolute;
  z-index: 1;
  left: 0.2em;
  bottom: 0.2em;
  line-height: 1;
  white-space: nowrap;
}
.swiper_info {
  display: flex;
  align-items: flex-start;
}
.work_images.has_slides .slide_info_wrap,
.work_images.has_slides .swiper_info {
  margin-top: 0.5em;
}
.work_images .project_name {
  margin-bottom: 0;
}
.swiper_info > * {
  flex-shrink: 0;
}
.swiper_counter {
  font-variant-numeric: tabular-nums;
  margin-right: 1em;
}
.swiper_counter > span {
  display: inline-block;
  min-width: 1ch;
}
.swiper_caption {
  margin-bottom: 0;
  margin-right: 1em;
}

.slide_info_wrap {
  position: relative;
}

.work_images.has_slides .project-text summary {
  position: absolute;
  right: 0;
  top: 0;
  z-index: 3;
}
.project-text .text_ul:hover,
.project-text[open] .text_ul {
  text-decoration: underline;
}
.work_images.no_slides .project-text summary {
  display: inline-block;
}


.work_single {
  padding-top: 0.5em;
  padding-bottom: 2em;
}

.work_single .text_content {
  margin-top: 0.5em;
}
.work_single .project_details p {
  margin-bottom: 0;
}

.work_images.has_slides > .swiper-cursor-left {
  cursor: -webkit-image-set(
    url('https://jasonwhiteley.com/wp-content/themes/jasonwhiteley/assets/cursor-left.svg') 1x,
    url('https://jasonwhiteley.com/wp-content/themes/jasonwhiteley/assets/cursor-left@2x.png') 2x
  ) 14 14, w-resize;
  cursor: url('https://jasonwhiteley.com/wp-content/themes/jasonwhiteley/assets/cursor-left.svg') 14 14, w-resize;
}
.work_images.has_slides > .swiper-cursor-right {
  cursor: -webkit-image-set(
    url('https://jasonwhiteley.com/wp-content/themes/jasonwhiteley/assets/cursor-right.svg') 1x,
    url('https://jasonwhiteley.com/wp-content/themes/jasonwhiteley/assets/cursor-right@2x.png') 2x
  ) 14 14, e-resize;
  cursor: url('https://jasonwhiteley.com/wp-content/themes/jasonwhiteley/assets/cursor-right.svg') 14 14, e-resize;
}



/*
JW CUSTOM
*/
#masthead {
  margin-top: 1em;
  margin-bottom: 2em;
  line-height: 1;
}
#primary {
  margin-top: 1em;
  margin-bottom: 3em;
}
h1.text_ul,
a.text_ul {
  text-decoration: underline;
}
a.text_ul:hover {
  text-decoration: none;
}
.text_ul,
a {
  text-decoration-thickness: 0.07em !important;
  text-underline-offset: 0.1em !important;
}
.section p {
  text-wrap: balance;
  margin-bottom: 0;
}
.section {
  margin-top: 2em;
  max-width: 18em;
}
.project_text p {
  margin-bottom: 0;
}
.info_section p:not(:first-child),
.project_text p:not(:first-child),
.work_single .project_details {
  text-indent: 1em;
}
.section.contact_section {
  margin-top: 1em;
}
.works_list h3 {
  font-size: 1.9rem;
  line-height: 1.58;
  font-weight: 600;
}
.works_list summary {
  cursor: pointer;
  list-style: none;
}
.works_list summary::-webkit-details-marker {
  display: none;
}
.works_list summary:hover h3,
.project[open] summary h3 {
  text-decoration: underline;
}




/*
GENERAL
*/
.container {
  max-width: calc(1200px + (2*var(--gap-container)));
  width: 100%;
  padding-left: var(--gap-container);
  padding-right: var(--gap-container);
  margin-left: auto;
  margin-right: auto;
}
.col_img img,
.col_iframe iframe {
  display: block;
}
p {
  text-wrap: pretty;
}
::-moz-selection {
  background-color: var(--jw-color-accent);
  color: var(--jw-color-black);
}
::selection {
  background-color: var(--jw-color-accent);
  color: var(--jw-color-black);
}
.error-404 h1 {
  margin-bottom: 1em;
}




/*
ANIMATIONS
*/
img.lazyload,
img.lazyloading {
  opacity: 0;
}
img.lazyloaded {
  opacity: 1;
  -webkit-transition: opacity .6s .15s;
  transition: opacity .6s .15s;
}











@media (max-width: 1299px) {
  body {
    font-size: 1.25em;
  }
  .works_list h3 {
    font-size: 1.58rem;
  }
}




@media (max-width: 767px) {

  :root {
    --gap-container: 20px;
  }

  .swiper_counter {
    margin-right: 0.6em;
  }
  .swiper_caption {
    max-width: calc(100% - 95px);
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }
}











/*--------------------------------------------------------------
# Generic
--------------------------------------------------------------*/

/* Normalize
--------------------------------------------- */

/*! normalize.css v8.0.1 | MIT License | github.com/necolas/normalize.css */

/* Document
   ========================================================================== */

/**
 * 1. Correct the line height in all browsers.
 * 2. Prevent adjustments of font size after orientation changes in iOS.
 */
html {
  line-height: 1.15;
  -webkit-text-size-adjust: 100%;
}

/* Sections
   ========================================================================== */

/**
 * Remove the margin in all browsers.
 */
body {
  margin: 0;
}

/**
 * Render the `main` element consistently in IE.
 */
main {
  display: block;
}


/* Grouping content
   ========================================================================== */

/**
 * 1. Add the correct box sizing in Firefox.
 * 2. Show the overflow in Edge and IE.
 */
hr {
  box-sizing: content-box;
  height: 0;
  overflow: visible;
}

/**
 * 1. Correct the inheritance and scaling of font size in all browsers.
 * 2. Correct the odd `em` font sizing in all browsers.
 */
pre {
  font-family: monospace, monospace;
  font-size: 1em;
}

/* Text-level semantics
   ========================================================================== */

/**
 * Remove the gray background on active links in IE 10.
 */
a {
  background-color: transparent;
}

/**
 * 1. Remove the bottom border in Chrome 57-
 * 2. Add the correct text decoration in Chrome, Edge, IE, Opera, and Safari.
 */
abbr[title] {
  border-bottom: none;
  text-decoration: underline;
  text-decoration: underline dotted;
}

/**
 * Add the correct font weight in Chrome, Edge, and Safari.
 */
b,
strong {
  font-weight: 600;
}

/**
 * 1. Correct the inheritance and scaling of font size in all browsers.
 * 2. Correct the odd `em` font sizing in all browsers.
 */
code,
kbd,
samp {
  font-family: monospace, monospace;
  font-size: 1em;
}

/**
 * Add the correct font size in all browsers.
 */
small {
  font-size: 80%;
}

/**
 * Prevent `sub` and `sup` elements from affecting the line height in
 * all browsers.
 */
sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}

sub {
  bottom: -0.25em;
}

sup {
  top: -0.5em;
}

/* Embedded content
   ========================================================================== */

/**
 * Remove the border on images inside links in IE 10.
 */
img {
  border-style: none;
}

/* Forms
   ========================================================================== */

/**
 * 1. Change the font styles in all browsers.
 * 2. Remove the margin in Firefox and Safari.
 */
button,
input,
optgroup,
select,
textarea {
  font-family: inherit;
  font-size: 100%;
  line-height: 1;
  margin: 0;
}

/**
 * Show the overflow in IE.
 * 1. Show the overflow in Edge.
 */
button,
input {
  overflow: visible;
}

/**
 * Remove the inheritance of text transform in Edge, Firefox, and IE.
 * 1. Remove the inheritance of text transform in Firefox.
 */
button,
select {
  text-transform: none;
}

/**
 * Correct the inability to style clickable types in iOS and Safari.
 */
button,
[type="button"],
[type="reset"],
[type="submit"] {
  -webkit-appearance: button;
}

/**
 * Remove the inner border and padding in Firefox.
 */
button::-moz-focus-inner,
[type="button"]::-moz-focus-inner,
[type="reset"]::-moz-focus-inner,
[type="submit"]::-moz-focus-inner {
  border-style: none;
  padding: 0;
}

/**
 * Restore the focus styles unset by the previous rule.
 */
button:-moz-focusring,
[type="button"]:-moz-focusring,
[type="reset"]:-moz-focusring,
[type="submit"]:-moz-focusring {
  outline: 1px dotted ButtonText;
}

/**
 * Correct the padding in Firefox.
 */
fieldset {
  padding: 0.35em 0.75em 0.625em;
}

/**
 * 1. Correct the text wrapping in Edge and IE.
 * 2. Correct the color inheritance from `fieldset` elements in IE.
 * 3. Remove the padding so developers are not caught out when they zero out
 *    `fieldset` elements in all browsers.
 */
legend {
  box-sizing: border-box;
  color: inherit;
  display: table;
  max-width: 100%;
  padding: 0;
  white-space: normal;
}

/**
 * Add the correct vertical alignment in Chrome, Firefox, and Opera.
 */
progress {
  vertical-align: baseline;
}

/**
 * Remove the default vertical scrollbar in IE 10+.
 */
textarea {
  overflow: auto;
}

/**
 * 1. Add the correct box sizing in IE 10.
 * 2. Remove the padding in IE 10.
 */
[type="checkbox"],
[type="radio"] {
  box-sizing: border-box;
  padding: 0;
}

/**
 * Correct the cursor style of increment and decrement buttons in Chrome.
 */
[type="number"]::-webkit-inner-spin-button,
[type="number"]::-webkit-outer-spin-button {
  height: auto;
}

/**
 * 1. Correct the odd appearance in Chrome and Safari.
 * 2. Correct the outline style in Safari.
 */
[type="search"] {
  -webkit-appearance: textfield;
  outline-offset: -2px;
}

/**
 * Remove the inner padding in Chrome and Safari on macOS.
 */
[type="search"]::-webkit-search-decoration {
  -webkit-appearance: none;
}

/**
 * 1. Correct the inability to style clickable types in iOS and Safari.
 * 2. Change font properties to `inherit` in Safari.
 */
::-webkit-file-upload-button {
  -webkit-appearance: button;
  font: inherit;
}

/* Interactive
   ========================================================================== */

/*
 * Add the correct display in Edge, IE 10+, and Firefox.
 */
details {
  display: block;
}

/*
 * Add the correct display in all browsers.
 */
summary {
  display: list-item;
}

/* Misc
   ========================================================================== */

/**
 * Add the correct display in IE 10+.
 */
template {
  display: none;
}

/**
 * Add the correct display in IE 10.
 */
[hidden] {
  display: none;
}

/* Box sizing
--------------------------------------------- */

/* Inherit box-sizing to more easily change it's value on a component level.
@link http://css-tricks.com/inheriting-box-sizing-probably-slightly-better-best-practice/ */
*,
*::before,
*::after {
  box-sizing: inherit;
}

html {
  box-sizing: border-box;
}

/*--------------------------------------------------------------
# Base
--------------------------------------------------------------*/

/* Typography
--------------------------------------------- */
html {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-rendering: optimizeLegibility;
}
body {
  font-family: "TiemposFine", "Georgia", "Cambria", "Times New Roman", serif;
  font-weight: 500;
  font-size: 1.5rem;
  line-height: 1.2;
  color: var(--jw-color-black);
  /*letter-spacing: -0.005em;*/
}
button,
input,
select,
optgroup,
textarea {
  color: inherit;
  font-family: inherit;
  font-size: inherit;
  line-height: inherit;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  clear: both;
  margin-top: 0;
  margin-bottom: 0;
  font-size: inherit;
  font-weight: 500;
}

p {
  margin-bottom: 1em;
  margin-top: 0;
}

dfn,
cite,
em,
i {
  font-style: italic;
}

blockquote {
  margin: 0 1em;
}

address {
  margin: 0 0 1em;
}

pre {
  background: #eee;
  font-family: monospace, monospace;
  line-height: 1.6;
  margin-bottom: 1.6em;
  max-width: 100%;
  overflow: auto;
  padding: 1.6em;
}

code,
kbd,
tt,
var {
  font-family: monospace, monospace;
}

abbr,
acronym {
  border-bottom: 1px dotted #666;
  cursor: help;
}

mark,
ins {
  background: #fff9c0;
  text-decoration: none;
}

big {
  font-size: 125%;
}

/* Elements
--------------------------------------------- */
body {
  background: var(--jw-color-white);
}

hr {
  background-color: #ccc;
  border: 0;
  height: 1px;
  margin-bottom: 1em;
}

ul,
ol {
  margin: 0 0 1em 0;
  padding-left: 1.5em;
}

ul {
  list-style: disc;
}

ol {
  list-style: decimal;
}

li > ul,
li > ol {
  margin-bottom: 0;
  margin-left: 1em;
}

dt {
  font-weight: 500;
}

dd {
  margin: 0 1em 1em;
}

/* Make sure embeds and iframes fit their containers. */
embed,
iframe,
object {
  max-width: 100%;
}

img {
  height: auto;
  max-width: 100%;
}

figure {
  margin: 0;
}

table {
  margin: 0;
  width: 100%;
}

/* Links
--------------------------------------------- */
a,
a:visited {
  color: inherit;
  text-decoration: none;
}
a:hover,
a:focus,
a:active {
  color: inherit;
  text-decoration: underline;
}

a:focus,
a:focus-visible {
  outline: thin dotted;
}
button:focus-visible,
summary:focus-visible {
  outline: thin dotted;
}

a:hover,
a:active {
  outline: 0;
}

/* Forms
--------------------------------------------- */
button,
input[type="button"],
input[type="reset"],
input[type="submit"] {
  border: 1px solid;
  border-color: var(--jw-color-black);
  border-radius: 0;
  background: var(--jw-color-white);
  color: var(--jw-color-black);
  line-height: 1;
  padding: 0.5em 1em;
}

button:hover,
input[type="button"]:hover,
input[type="reset"]:hover,
input[type="submit"]:hover {
  border-color: var(--jw-color-black);
}

button:active,
button:focus,
input[type="button"]:active,
input[type="button"]:focus,
input[type="reset"]:active,
input[type="reset"]:focus,
input[type="submit"]:active,
input[type="submit"]:focus {
  border-color: var(--jw-color-black);
}

input[type="text"],
input[type="email"],
input[type="url"],
input[type="password"],
input[type="search"],
input[type="number"],
input[type="tel"],
input[type="range"],
input[type="date"],
input[type="month"],
input[type="week"],
input[type="time"],
input[type="datetime"],
input[type="datetime-local"],
input[type="color"],
textarea {
  color: var(--jw-color-black);
  border: 1px solid var(--jw-color-black);
  border-radius: 0;
  line-height: 1;
  padding: 0.5em 1em;
}

input[type="text"]:focus,
input[type="email"]:focus,
input[type="url"]:focus,
input[type="password"]:focus,
input[type="search"]:focus,
input[type="number"]:focus,
input[type="tel"]:focus,
input[type="range"]:focus,
input[type="date"]:focus,
input[type="month"]:focus,
input[type="week"]:focus,
input[type="time"]:focus,
input[type="datetime"]:focus,
input[type="datetime-local"]:focus,
input[type="color"]:focus,
textarea:focus {
  color: var(--jw-color-black);
}

select {
  border: 1px solid var(--jw-color-black);
}

textarea {
  width: 100%;
}

/*--------------------------------------------------------------
# Layouts
--------------------------------------------------------------*/

/*--------------------------------------------------------------
# Components
--------------------------------------------------------------*/

.site-main .comment-navigation,
.site-main
.posts-navigation,
.site-main
.post-navigation {
  margin: 0 0 1em;
}

.comment-navigation .nav-links,
.posts-navigation .nav-links,
.post-navigation .nav-links {
  display: flex;
}

.comment-navigation .nav-previous,
.posts-navigation .nav-previous,
.post-navigation .nav-previous {
  flex: 1 0 50%;
}

.comment-navigation .nav-next,
.posts-navigation .nav-next,
.post-navigation .nav-next {
  text-align: end;
  flex: 1 0 50%;
}

/* Posts and pages
--------------------------------------------- */
.sticky {
  display: block;
}

.post,
.page {
  margin: 0;
}

.updated:not(.published) {
  display: none;
}

.page-content,
.entry-content,
.entry-summary {
  margin: 1em 0 0;
}

.page-links {
  clear: both;
  margin: 0 0 1em;
}

/* Comments
--------------------------------------------- */
.comment-content a {
  word-wrap: break-word;
}

.bypostauthor {
  display: block;
}

/* Widgets
--------------------------------------------- */
.widget {
  margin: 0 0 1em;
}

.widget select {
  max-width: 100%;
}

/* Media
--------------------------------------------- */
.page-content .wp-smiley,
.entry-content .wp-smiley,
.comment-content .wp-smiley {
  border: none;
  margin-bottom: 0;
  margin-top: 0;
  padding: 0;
}

/* Make sure logo link wraps around logo image. */
.custom-logo-link {
  display: inline-block;
}

/* Captions
--------------------------------------------- */
.wp-caption {
  margin-bottom: 1em;
  max-width: 100%;
}

.wp-caption img[class*="wp-image-"] {
  display: block;
  margin-left: auto;
  margin-right: auto;
}

.wp-caption .wp-caption-text {
  margin: 0.8075em 0;
}

.wp-caption-text {
  text-align: center;
}

/* Galleries
--------------------------------------------- */
.gallery {
  margin-bottom: 1em;
  display: grid;
  grid-gap: 1em;
}

.gallery-item {
  display: inline-block;
  text-align: center;
  width: 100%;
}

.gallery-columns-2 {
  grid-template-columns: repeat(2, 1fr);
}

.gallery-columns-3 {
  grid-template-columns: repeat(3, 1fr);
}

.gallery-columns-4 {
  grid-template-columns: repeat(4, 1fr);
}

.gallery-columns-5 {
  grid-template-columns: repeat(5, 1fr);
}

.gallery-columns-6 {
  grid-template-columns: repeat(6, 1fr);
}

.gallery-columns-7 {
  grid-template-columns: repeat(7, 1fr);
}

.gallery-columns-8 {
  grid-template-columns: repeat(8, 1fr);
}

.gallery-columns-9 {
  grid-template-columns: repeat(9, 1fr);
}

.gallery-caption {
  display: block;
}

/*--------------------------------------------------------------
# Utilities
--------------------------------------------------------------*/

/* Accessibility
--------------------------------------------- */

/* Text meant only for screen readers. */
.screen-reader-text {
  border: 0;
  clip: rect(1px, 1px, 1px, 1px);
  clip-path: inset(50%);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute !important;
  width: 1px;
  word-wrap: normal !important;
}

.screen-reader-text:focus {
  background-color: var(--jw-color-black);
  border-radius: 0;
  box-shadow: 0;
  clip: auto !important;
  clip-path: none;
  color: var(--jw-color-white);
  display: block;
  font-size: 1rem;
  font-weight: 600;
  height: auto;
  left: var(--gap-container);
  line-height: 1;
  padding: var(--gap-container);
  text-decoration: none;
  top: var(--gap-container);
  width: auto;
  z-index: 100000;
}

/* Do not show the outline on the skip link target. */
#primary[tabindex="-1"]:focus {
  outline: 0;
}

/* Alignments
--------------------------------------------- */
.alignleft {

  /*rtl:ignore*/
  float: left;

  /*rtl:ignore*/
  margin-right: 1em;
  margin-bottom: 1em;
}

.alignright {

  /*rtl:ignore*/
  float: right;

  /*rtl:ignore*/
  margin-left: 1.5em;
  margin-bottom: 1.5em;
}

.aligncenter {
  clear: both;
  display: block;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 1.5em;
}
